---
name: "isLowPowerEnabled"
mode: "api"
versionRequirements:
  - { name: "@tuya-miniapp/cloud-api", version: "1.0.5" }
---

## isLowPowerEnabled

> [VERSION] @tuya-miniapp/cloud-api >= 1.0.5

> 💡 This API depends on cloud capabilities; configure authorization in the Mini App Developer Platform (https://platform.tuya.com/miniapp/) under Development Settings > Cloud Capabilities.

### Description

Query whether the device's Low Power Mode is enabled.

### Parameters

`Params`

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `params` | `IsLowPowerEnabledParams` | Yes | Request body |

### Return Value

Type: `Promise<IsLowPowerEnabledResult>`

isEnable Whether the corresponding advanced capability is enabled

##### IsLowPowerEnabledResult

| Property | Type | Description |
| --- | --- | --- |
| `isEnable` | `boolean` | Whether the corresponding advanced capability is enabled |

### Referenced Types

##### `interface` IsLowPowerEnabledParams

| Property | Type | Description |
| --- | --- | --- |
| `deviceId` | `string` | Device ID |
| `code` | `string` | Advanced capability code, default tyabi8xqnc |


### Examples

#### Request example

```typescript
import { isLowPowerEnabled } from '@tuya-miniapp/cloud-api';

const result = await isLowPowerEnabled({
  deviceId: 'your_device_id',
});

const result2 = await isLowPowerEnabled({
  deviceId: 'your_device_id',
  code: 'custom_code',
});
```

#### Response example

```json
{
  "isEnable": true
}
```
